<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\ConfigurationModel;

class ConfigurationModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(ConfigurationModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(ConfigurationModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(ConfigurationModel::class);
    }
}
